#!/bin/sh
# no validation, fast and loose

mkdir -p labels
cat config/sources | while read name tier url
do
	echo "!!! name is $name"
	echo "!!! url is $url"
	if [ "$name" = me ]
	then
		echo 'error: name cannot be "me"' 1>&2
		exit 1
	fi

	if echo "$url" | grep -q '^dummysources/'
	then
		cp "$url" labels/"$name"
	else
		curl "$url" >labels/"$name"
	fi
done
